Virtualmin package update failed

14 posts / 0 new
Last post
#1 Wed, 01/14/2015 - 23:53
ajay.bhargav

Virtualmin package update failed

[root@server ~]$ sudo yum -y update 
Loaded plugins: fastestmirror
Setting up Update Process
Loading mirror speeds from cached hostfile
* base: www.gtlib.gatech.edu
* epel: reflector.westga.edu
* extras: mirrors.advancedhosters.com
* updates: mirrors.advancedhosters.com
Resolving Dependencies
--> Running transaction check
---> Package nss-softokn-freebl.i686 0:3.14.3-18.el6_6 will be updated
---> Package nss-softokn-freebl.i686 0:3.14.3-19.el6_6 will be an update
---> Package wbm-virtual-server.noarch 0:4.13.gpl-1 will be updated
---> Package wbm-virtual-server.noarch 0:4.13.gpl-2 will be an update
---> Package wbm-virtualmin-awstats.noarch 2:4.9-1 will be updated
---> Package wbm-virtualmin-awstats.noarch 2:5.1-1 will be an update
---> Package wbm-virtualmin-dav.noarch 2:3.5-1 will be updated
---> Package wbm-virtualmin-dav.noarch 2:3.7-1 will be an update
---> Package wbm-virtualmin-init.noarch 2:2.4-1 will be updated
---> Package wbm-virtualmin-init.noarch 2:2.5-1 will be an update
---> Package wbm-virtualmin-mailman.noarch 2:6.2-1 will be updated
---> Package wbm-virtualmin-mailman.noarch 2:6.3-1 will be an update
---> Package wbm-virtualmin-svn.noarch 2:5.0-1 will be updated
---> Package wbm-virtualmin-svn.noarch 2:5.1-1 will be an update
---> Package wbt-virtual-server-theme.noarch 2:8.7-1 will be updated
---> Package wbt-virtual-server-theme.noarch 2:9.0-2 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

=======================================================================================================================================================
Package                                    Arch                     Version                              Repository                              Size
=======================================================================================================================================================
Updating:
nss-softokn-freebl                         i686                     3.14.3-19.el6_6                      updates                                156 k
wbm-virtual-server                         noarch                   4.13.gpl-2                           virtualmin-universal                   2.2 M
wbm-virtualmin-awstats                     noarch                   2:5.1-1                              virtualmin-universal                    43 k
wbm-virtualmin-dav                         noarch                   2:3.7-1                              virtualmin-universal                    27 k
wbm-virtualmin-init                        noarch                   2:2.5-1                              virtualmin-universal                    25 k
wbm-virtualmin-mailman                     noarch                   2:6.3-1                              virtualmin-universal                    46 k
wbm-virtualmin-svn                         noarch                   2:5.1-1                              virtualmin-universal                    48 k
wbt-virtual-server-theme                   noarch                   2:9.0-2                              virtualmin-universal                   2.3 M

Transaction Summary
=======================================================================================================================================================
Upgrade       8 Package(s)

Total size: 4.9 M
Downloading Packages:
error: rpmts_HdrFromFdno: Header V3 DSA/SHA1 Signature, key ID 11f63c51: BAD


Problem opening package wbm-virtual-server-4.13.gpl-2.noarch.rpm

I did try to import virtual min key but still faied.

rpm --import /etc/pki/rpm-gpg/RPM-GPG-KEY-virtualmin

Any help?

Thanks in advance.

Thu, 01/15/2015 - 00:08
andreychek

Howdy,

While I hadn't run into this myself, I saw a mention on twitter recently saying that the nss related CentOS packages had caused someones RPM database to become corrupt. I'm wondering if that may be what happened in your case.

What if you try manually installing one of those packages... say, wbm-virtualmin-svn, which you can do with this command:

yum install wbm-virtualmin-svn

What output does that produce?

-Eric

Thu, 01/15/2015 - 02:47
AnastasiosMagoutas

Eric is right. nss-softokn breaks yum/rpm in CentOS 6 In order to fix it do the following:

wget http://mirror.centos.org/centos/6/updates/x86_64/Packages/nss-softokn-fr...

rpm2cpio nss-softokn-freebl-3.14.3-19.el6_6.x86_64.rpm | cpio -idmv

cd lib64

cp libfreeblpriv3.* /lib64

yum update

You may check this topic: https://www.centos.org/forums/viewtopic.php?p=214791&f=13#p214791

Fri, 01/16/2015 - 10:53 (Reply to #3)
jancas

Hello,

Thanks a lot! This solved my problem.

Wed, 01/28/2015 - 11:53 (Reply to #4)
webwzrd

Thank you!

Mon, 03/09/2015 - 09:03 (Reply to #5)
Cloud4G

Thanks! This fixed the problem on Centos 6.6.. wish I would have found this thread much sooner...

Mon, 03/09/2015 - 09:03 (Reply to #6)
Cloud4G

Thanks! This fixed the problem on Centos 6.6.. wish I would have found this thread much sooner...

Fri, 01/16/2015 - 17:26
bradmca

Thank you VERY much!.

Wed, 01/28/2015 - 13:16
Welshman
Welshman's picture

:) Priceless.

Chaos Reigns Within, Reflect, Repent and Reboot, Order Shall Return.

Wed, 01/28/2015 - 14:24
RapidX

Just thought I would post a precaution for those who experience this problem: Do NOT run the command rpm --rebuilddb at any time until the problem is fixed as it's explained above. By running rpm --rebuilddb without first fixing the problem will corrupt/destroy your rpm database and you're left with no rpm database which can be a pain to restore it back especially if you have to do it manually. I know, I speak from experience. :)

Sun, 02/01/2015 - 17:39
briand

going to re-iterate :

"Thank you VERY much!."

Tue, 03/24/2015 - 20:25
ColinB

This has worked well for me on CentOS Linux 6.6

Thank you so much

Wed, 08/12/2015 - 21:08
itmustbe
itmustbe's picture

So I waited WAY too long to discover this thread :(

And now I do, the wget mirror above no longer works for the nss-softokn-freebl package...

My situation is just as described above, but I don't know what to do, as I can't seem to find the updated -freebl package on any mirror!

---> Package nss-softokn.x86_64 0:3.14.3-19.el6_6 will be updated ---> Package nss-softokn.x86_64 0:3.14.3-22.el6_6 will be an update ---> Package nss-softokn-freebl.x86_64 0:3.14.3-18.el6_6 will be updated ---> Package nss-softokn-freebl.x86_64 0:3.14.3-22.el6_6 will be an update

I've tried changing the number in the link above from "19" to "22" but it's still not found.

Does anyone know how I should proceed here? Sorry I don't know my way around Yum or RPM, but my yum updater is definitely broken with all the symptoms in this thread! I'm running CentOS Linux 6.6 with Virtualmin 4.13.gpl GPL

Thu, 08/13/2015 - 10:46 (Reply to #13)
itmustbe
itmustbe's picture

I found help on the CentOS forum here: https://www.centos.org/forums/viewtopic.php?f=13&t=51605&p=227286#p227286

If anyone finds this thread, the actual wget link to use now is this (because CentOS 6.7 has been released and the 6.6 files have been moved to vault.centos.org)

wget http://vault.centos.org/6.6/updates/x86_64/Packages/nss-softokn-freebl-3...